Subject: Re: bug#26599: patch for mwheel.el

From: Tak Kunihiro <[email-masked]>
Date: Fri, 28 Apr 2017 08:16:00 +0900 (JST)

>> > You have the horizontal-scroll commands to do that, right?
>> 
>> Yes.
>> 
>> I consider two devices to scroll, that are keyboard and mouse.
>> 
>> Keyboard is the primary scroll device.  Thus I want to turn
>> auto-hscroll-mode t by default.
>> 
>> Occasionally I want to use mouse as scroll device.  When I use mouse,
>> I want to set turn auto-hscroll-mode nil, especially after
>> implementation of <wheel-right> and <wheel-left>.
>> 
>> When I come back to keyboard, I want to set auto-hscroll-mode t again.
> 
> This looks like a very specialized use case, so I'm not sure we need a
> solution for it in Emacs.

I see how you see.

How I described, is similar to how spreadsheet program reacts.  It
lets user scroll both by <wheel-left> and <left>.

I very often edit a buffer with long and short line (for example,
LaTeX table), using mouse and keyboard.  However, as you infer, this
can be already very special.

Isn't my description convincing enough to install the line that
invokes the minor mode `touchpad-disable--auto-hscroll-mode'?